com.versionone.apiclient.interfaces

## Interface IAPIConnector

- All Known Implementing Classes:
    FileAPIConnector, V1APIConnector

  Deprecated.
  This interface has been deprecated. Please use V1Connector instead.

      @Deprecated
      public interface IAPIConnector

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `beginRequest(String path, String contentType)` Deprecated. Creating stream for writing data
    `InputStream` | `endRequest(String path)` Deprecated. Getting response from request
    `InputStream` | `getAttachment(String attachmentKey)` Deprecated. Read data from the path provided Note: Caller is responsible for closing the returned stream
    `Reader` | `getData()` Deprecated. Read data from the root of the connection Note: Caller is responsible for closing the returned stream
    `Reader` | `getData(String path)` Deprecated. Read data from the path provided Note: Caller is responsible for closing the returned stream
    `Reader` | `sendData(String path, String data)` Deprecated. Send data to the path Note: Caller is responsible for closing the returned stream

- - ### Method Detail

    - #### getData

          Reader getData()
                  throws ConnectionException

      Deprecated.
      Read data from the root of the connection Note: Caller is responsible for closing the returned stream
      Returns:
        the stream for reading data
      Throws:
        `ConnectionException` - if any connection problems occur

    - #### getData

          Reader getData(String path)
                  throws ConnectionException

      Deprecated.
      Read data from the path provided Note: Caller is responsible for closing the returned stream
      Parameters:
        `path` - String
      Returns:
        Reader The stream for reading data
      Throws:
        `ConnectionException` - if any connection problems occur

    - #### getAttachment

          InputStream getAttachment(String attachmentKey)
                             throws ConnectionException

      Deprecated.
      Read data from the path provided Note: Caller is responsible for closing the returned stream
      Parameters:
        `attachmentKey` -
      Returns:
        InputStream The stream for reading data
      Throws:
        `ConnectionException`

    - #### sendData

          Reader sendData(String path,
                          String data)
                   throws ConnectionException

      Deprecated.
      Send data to the path Note: Caller is responsible for closing the returned stream
      Parameters:
        `path` - - String
        `data` - - String
      Returns:
        the response in a stream
      Throws:
        `ConnectionException` - if any connection problems occur

    - #### beginRequest

          OutputStream beginRequest(String path,
                                    String contentType)
                             throws ConnectionException

      Deprecated.
      Creating stream for writing data
      Parameters:
        `path` - path to the data on server
        `contentType` - Content-type of HTTP header
      Returns:
        the stream for writing data
      Throws:
        `ConnectionException` - if any connection problems occur

    - #### endRequest

          InputStream endRequest(String path)
                          throws ConnectionException

      Deprecated.
      Getting response from request
      Parameters:
        `path` - path to the data on server
      Returns:
        the stream for reading data
      Throws:
        `ConnectionException` - if any connection problems occur

Copyright © 2022 VersionOne, Inc.. All rights reserved.